petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetAdapt

Get the adaptive controller context for the current method

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetAdapt(TS ts,TSAdapt *adapt)

Collective on TS if controller has not been created yet

### Input Arguments

ts -time stepping context

### Output Arguments

adapt -adaptive controller

### See Also

TSAdapt, TSAdaptSetType(), TSAdaptChoose()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/extchem.c.html
src/ts/examples/tutorials/ex40.c.html
src/ts/examples/tutorials/ex41.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages